Package Details: ipe 7.2.24-3

Git Clone URL: https://aur.archlinux.org/ipe.git (read-only, click to copy)
Package Base: ipe
Description: The extensible drawing editor
Upstream URL: http://ipe.otfried.org/
Licenses: GPL
Conflicts: ipe
Submitter: foxcub
Maintainer: foxcub
Last Packager: foxcub
Votes: 76
Popularity: 0.000026
First Submitted: 2007-01-02 01:58
Last Updated: 2021-06-16 18:14

Latest Comments

« First ‹ Previous ... 9 10 11 12 13 14 15 Next › Last »

foxcub commented on 2010-10-12 02:35

Thanks, Norbert, I've uploaded your tarball.

Anonymous comment on 2010-10-12 00:28

A tarfile to replace the one above can be got at http://www.cs.dal.ca/~nzeh/ipe.tar.gz. It contains the added patches and a PKGBUILD to apply the patches. It also bumps the release number to 4 (+1 from the current 2 for the patches mentioned in my previous post, another +1 for a patch to make ipe work with texlive2010, which has just hit [extra]). The texlive2010 patch addresses a problem with parsing pdflatex output discussed at http.typke.com/cgi-bin/bugzilla3/show_bug.cgi?id=350, using the fix discussed there.

foxcub commented on 2010-10-07 22:00

I am interested. The best would be if you put it up online, and post the link here.

Anonymous comment on 2010-10-07 21:58

Ipe 7.0.10 has some bugs in its lua functions that
1) Doesn't let it find ipelets in non-standard locations
2) Makes ipe crash when setting skip
3) Makes equal spacing top-to-bottom arrange the objects wrongly.
This has been discussed on the mailing list by Otfried and myself. I do have an updated tarball derived from the above tarball and containing two additional patches that fix these problems. It would be worthwhile to make this patched version available to the archlinux community until Otfried gets around to releasing a new version of Ipe. So, foxcub, are you interested in the patched tarball? If so, how do I submit it to you?

foxcub commented on 2010-09-24 20:41

Done. Thanks, Maik.

Anonymous comment on 2010-09-24 17:09

please append this http://aur.pastebin.com/XneStjAt to the build function. It makes the lua bindings available.
Without this symlink the installed ipe-update-master won't work: http://aur.pastebin.com/57q1xKJG

foxcub commented on 2010-09-09 18:42

Well, the dependency tree should make the non-determinism irrelevant. If there is a problem like this, it's a bug in Ipe's build process. You'd probably do the author a favor by reporting it. Certainly adding -j1 to the PKGBUILD wouldn't be the right way to resolve this problem.

Anonymous comment on 2010-09-09 18:23

Well, with any amount of parallel make invocations, the process is pretty non-deterministic. Some build systems cannot handle this properly, where it tries to link a library which is still in progress in another thread. This happens more often and the compilation always succeeds when I serialize the whole thing (-j1).

foxcub commented on 2010-09-09 16:12

I have MAKEFLAGS="-j5", and I don't seem to have any problems. So I'm not sure I understand the first comment. Thanks for the info about || return 1. I'll remove it when the next version of Ipe is out.

Anonymous comment on 2010-09-09 06:24

In my makepkg.conf, I have MAKEFLAGS="-j9". This makes it likely to make the ipe build fail (cannot find -lipe), so I had to add -j1 to the make commands to make it compile. Also, || return 1 is no longer necessary with pacman 3.4 and above.